﻿#HomeMainPage {
    display: flex;
    flex-direction: column;
    gap: 2.5em;
    padding-block: 2.5em;
}

    #HomeMainPage .InnerContent {
        max-width: 120em;
        margin: 0 auto;
        padding-inline: 2em;
        box-sizing: border-box;
    }

    #HomeMainPage #HomeBannerSliderListWrapper {
        position: relative;
        overflow: hidden;
        touch-action: pan-y;
        border-radius: 1em;
        transform: translate3d(0, 0, 0);
    }

        #HomeMainPage #HomeBannerSliderListWrapper .swiper-wrapper {
            display: flex;
        }

            #HomeMainPage #HomeBannerSliderListWrapper .swiper-wrapper .swiper-slide:not(.swiper-slide-active) {
                opacity: .25;
                filter: grayscale(1);
                pointer-events: none;
            }

            #HomeMainPage #HomeBannerSliderListWrapper .swiper-wrapper .swiper-slide {
                display: block;
                width: 100%;
                max-width: 1000px;
                position: relative;
                overflow: hidden;
                background: #fff;
                border-radius: 1em;
                aspect-ratio: 1000 / 380;
                margin: 0 1em;
            }

                #HomeMainPage #HomeBannerSliderListWrapper .swiper-wrapper .swiper-slide a img {
                    position: absolute;
                    inset: 0;
                    z-index: 1;
                    width: 100%;
                    height: 100%;
                }

    #HomeMainPage #HomeMainBannerSliderSection .swiper-button {
        display: flex;
        position: absolute;
        height: 100%;
        width: 100%;
        top: 0;
    }

        #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-prev {
            order: -1;
        }

        #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-next {
            order: 1;
        }

        #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-next,
        #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-prev {
            flex: auto;
            pointer-events: initial;
            cursor: pointer;
            -webkit-tap-highlight-color: transparent;
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100%;
            top: 2em;
            width: 14em;
        }

            #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-next::after,
            #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-prev::after {
                content: '';
                display: none;
                flex: none;
                width: 100%;
                max-width: 1000px;
            }

            #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-next::before,
            #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-prev::before {
                font-family: "Font Awesome 6 Free";
                display: block;
                font-size: 3em;
                width: 1em;
                height: 1em;
                line-height: 1;
                overflow: hidden;
                opacity: 0;
                transition: opacity .3s;
                color: #fff;
            }

            #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-next::before {
                content: "\f054";
            }

            #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-prev::before {
                content: "\f053";
            }

            #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-next:hover::before,
            #HomeMainPage #HomeMainBannerSliderSection .swiper-button .swiper-button-prev:hover::before {
                opacity: 1
            }

    #HomeMainPage #HomeMainBannerSliderSection .swiper-pagination {
        display: flex;
        align-items: end;
        justify-content: center;
        position: absolute;
        inset-inline: 0;
        inset-block-end: 1.5em;
        z-index: 1;
        height: 0;
        margin-inline: auto;
        width: calc(100% - 6em);
        max-width: 25em;
        box-sizing: border-box;
    }

        #HomeMainPage #HomeMainBannerSliderSection .swiper-pagination .swiper-pagination-bullet {
            flex: 1;
            display: block;
            height: 5px;
            min-width: 1em;
            padding: 1px;
            box-sizing: border-box;
            border-radius: 1em;
            background: rgba(255 255 255 / 1);
            backdrop-filter: blur(1em);
            cursor: pointer;
            transition: width .3s;
        }

            #HomeMainPage #HomeMainBannerSliderSection .swiper-pagination .swiper-pagination-bullet::before {
                content: '';
                display: block;
                width: 0;
                height: 100%;
                border-radius: 1em;
                background-color: var(--theme-color);
            }

        #HomeMainPage #HomeMainBannerSliderSection .swiper-pagination .swiper-pagination-bullet-active {
            flex: 2;
            background: #fff;
        }

            #HomeMainPage #HomeMainBannerSliderSection .swiper-pagination .swiper-pagination-bullet-active::before {
                animation: pagination-animation 6s linear
            }

@keyframes pagination-animation {
    100% {
        width: calc(100% - 2px)
    }
}

@media only screen and (max-width: 1300px) {
    #HomeMainPage #HomeBannerSliderListWrapper .swiper-wrapper .swiper-slide {
        width: 75%;
    }
}

@media only screen and (max-width: 1000px) {

    #HomeMainPage .InnerContent {
        padding-inline: 1.5em;
    }

    #HomeMainPage #HomeBannerSliderListWrapper .swiper-wrapper .swiper-slide {
        width: 100%;
        padding-inline: 1.5em;
        border-radius: .6em;
    }
}

@media only screen and (max-width: 480px) {

    #HomeMainPage {
        gap: 1.5em;
        padding-block: 1.5em;
    }

        #HomeMainPage .InnerContent {
            padding-inline: 1em;
        }

        #HomeMainPage #HomeBannerSliderListWrapper .swiper-wrapper .swiper-slide {
            height: 18em;
            border-radius:.1em;
            object-fit: cover;
        }
}

#HomeMainPage #HomeProductDisplaySection .ProductDisplayListWrapper {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(39em, 1fr));
    gap: 1em;
}

#HomeMainPage .ProductGroupWrapper {
    display: flex;
    flex-direction: column;
    gap: 1.5em;
    background: #fff;
    padding: 2em;
    border-radius: 1em;
}

    #HomeMainPage .ProductGroupWrapper .GroupTitle {
        display: grid;
        grid-template-columns: 1fr auto;
        gap: 2em;
        align-items: center;
    }

        #HomeMainPage .ProductGroupWrapper .GroupTitle h2 {
            font-size: 1.2em;
            font-weight: 700;
            text-transform: uppercase;
        }

        #HomeMainPage .ProductGroupWrapper .GroupTitle a {
            text-transform: capitalize;
            display: flex;
            justify-content: center;
            gap: .5em;
            opacity: .7;
        }

            #HomeMainPage .ProductGroupWrapper .GroupTitle a::after {
                content: "\f054";
                font-family: "Font Awesome 6 Free";
                font-weight: 800;
                font-size: 1em;
            }

    #HomeMainPage .ProductGroupWrapper .GroupProductList li {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(15em, 1fr));
        gap: 1.5em;
    }

    #HomeMainPage .ProductGroupWrapper .GroupProductList > li > a {
        display: grid;
        grid-template-columns: auto 1fr;
        gap: 1em;
        align-items: center;
        color: currentColor;
        text-decoration: none;
    }

    #HomeMainPage .ProductGroupWrapper .GroupProductList a .ProductImageIcon {
        width: 5em;
        aspect-ratio: 1 / 1;
        background: rgba(0 0 0 / 5%);
        box-shadow: rgba(0 0 0 / 5%) 0 0 0 1px;
        border-radius: 25%;
        overflow: hidden;
        position: relative;
        align-self: start;
    }

        #HomeMainPage .ProductGroupWrapper .GroupProductList a .ProductImageIcon img {
            width: 100%;
            height: 100%;
            vertical-align: top;
        }

    #HomeMainPage .ProductGroupWrapper .GroupProductList a .T .ProductName {
        display: -webkit-box;
        -webkit-line-clamp: 2;
        -webkit-box-orient: vertical;
        text-overflow: ellipsis;
        overflow: hidden;
        word-break: break-word;
        font-weight: 600;
    }

    #HomeMainPage .ProductGroupWrapper .GroupProductList a .T .ProductRegion {
        display: flex;
        align-items: center;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: .85em;
        opacity: .7;
    }

@media only screen and (max-width: 1000px) {

    #HomeMainPage #HomeProductDisplaySection .ProductDisplayListWrapper {
        display: flex;
        position: relative;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
        scrollbar-width: none;
        width: 100vw;
        margin-left: calc(50% - 50vw);
        padding-inline: var(--HomePaddingInlineSpacing, 1.5em);
    }

    #HomeMainPage .ProductGroupWrapper .ProductDisplayListWrapper::-webkit-scrollbar {
        display: none;
    }

    #HomeMainPage .ProductGroupWrapper {
        flex: 0 0 auto;
        width: 46em;
        box-sizing: border-box;
    }

        #HomeMainPage .ProductGroupWrapper .GroupProductList li {
            gap: 1em 1.5em;
        }

            #HomeMainPage .ProductGroupWrapper .GroupProductList li .ProductImageIcon {
                width: 4.8em;
            }
}

@media only screen and (max-width: 640px) {
    #HomeMainPage .ProductGroupWrapper {
        flex: 0 0 auto;
        width: 22.5em;
        box-sizing: border-box;
    }

        #HomeMainPage .ProductGroupWrapper .GroupTitle a span {
            display: none;
        }
}

@media only screen and (max-width: 480px) {

    #HomeMainPage #HomeProductDisplaySection .ProductDisplayListWrapper {
        padding-inline: 1em;
    }
}

@media (any-hover) {
    #HomeMainPage .ProductGroupWrapper .GroupProductList a:focus .ProductImageIcon,
    #HomeMainPage .ProductGroupWrapper .GroupProductList a:hover .ProductImageIcon {
        transform: scale(1.06);
    }
}
